site_name: Package auto assembler

theme:
  name: material
  palette:
    # Palette toggle for light mode
    - scheme: default
      primary: green
      accent: green
      toggle:
        icon: material/lightbulb
        name: Switch to dark mode

    # Palette toggle for dark mode
    - scheme: slate
      primary: green
      accent: green
      toggle:
        icon: material/lightbulb-outline
        name: Switch to light mode

plugins:
  - mermaid2
  - search

extra_css:
  - css/extra.css

        
repo_url: https://github.com/Kiril-Mordan/reusables
repo_name: reusables
            
nav:
  - Intro: index.md
        
  - Interfaces: 
    - Mcp: mcp.md
    - Mkdocs: mkdocs.md
    - Cli: cli.md
    - Fastapi: fastapi.md
    - Streamlit: streamlit.md
  - Release notes: release-notes.md
  - Concepts: 
    - Checkpoint history: checkpoint_history.md
    - Python packaging repo: python_packaging_repo.md
    - Prepackaging todo: prepackaging_todo.md
    - Dependency management: dependency_management.md
    - Packaging process: packaging_process.md
    - Documentation flow: documentation_flow.md
    - Code management: code_management.md
  - Components: 
    - Cli tools: cli_tools.md
    - Skills: skills.md
    - Paa config: paa_config.md
    - Package metadata: package_metadata.md
    - Repositories: repositories.md
    - Artifacts: artifacts.md
    - Import mapping: import_mapping.md